package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.SmsLog;

import java.util.List;

/**
 * 短信发送记录Mapper接口
 * 
 * @author ruoyi
 * @date 2021-05-25
 */
public interface SmsLogMapper 
{
    /**
     * 查询短信发送记录
     *
     * @param id 短信发送记录ID
     * @return 短信发送记录
     */
    public SmsLog selectSmsLogById(Long id);

    /**
     * 查询短信发送记录列表
     *
     * @param smsLog 短信发送记录
     * @return 短信发送记录集合
     */
    public List<SmsLog> selectSmsLogList(SmsLog smsLog);

    /**
     * 新增短信发送记录
     *
     * @param smsLog 短信发送记录
     * @return 结果
     */
    public int insertSmsLog(SmsLog smsLog);

    /**
     * 修改短信发送记录
     *
     * @param smsLog 短信发送记录
     * @return 结果
     */
    public int updateSmsLog(SmsLog smsLog);

    /**
     * 删除短信发送记录
     *
     * @param id 短信发送记录ID
     * @return 结果
     */
    public int deleteSmsLogById(Long id);

    /**
     * 批量删除短信发送记录
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteSmsLogByIds(Long[] ids);

    int getCountLastHour(String phoneNumber);

    List<SmsLog> checkCode(SmsLog smsLog);
}
